/* 
 * Copyright (c) 2010, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 */
metaonly module Rules8_9_10 inherits ITest
{
    readonly config Test tests[] = [
        { id: "XDAIS Rules 8, 9 and 10", title: "XDAIS Rules 8, 9, 10: Namespace compliance" },
    ];

    // list of disallowed external function references from spru352 Appendix B.1
    config string disallowedFxns[] = [

        // heap management functions not allowed
        "malloc",
        "free",
        "realloc",
        "calloc",

        // I/O functions not allowed
        "printf",
        "open",
        "read",
        "write",
        "fopen",
        "fread",
        "fwrite",

        // misc non-reentrant functions not allowed
        "sprintf",
        "ctime",
        "time",
        "_abort_msg",
        "_assert",
    ];
    
    config string allowedFxns[] = [
        "_aeabi_memclr",
        "_aeabi_memclr4",
        "_aeabi_memcpy",
        "_aeabi_memcpy4",
        "_aeabi_memmove",
        "_aeabi_memset",
    ];
}

/*
 *  @(#) ti.xdais.qualiti; 1, 0, 0,102; 5-4-2010 08:46:16; /db/wtree/library/trees/dais/dais-q11x/src/
 */

